Package commoble.morered.client

# Class ClientProxy

java.lang.Object
commoble.morered.client.ClientProxy

public class ClientProxy extends Object

## Constructor Summary

Constructors
Constructor
Description
`ClientProxy()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`clear()`
`static Set<net.minecraft.core.BlockPos>`
`getPostsInChunk(net.minecraft.world.level.ChunkPos pos)`
`static void`
`initializeAbstractWireBlockClient(AbstractWireBlock block, Consumer<net.minecraftforge.client.extensions.common.IClientBlockExtensions> consumer)`
`static void`
`updatePostsInChunk(net.minecraft.world.level.ChunkPos pos, Set<net.minecraft.core.BlockPos> posts)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClientProxy

public ClientProxy()

## Method Details

### clear

public static void clear()

### updatePostsInChunk

public static void updatePostsInChunk(net.minecraft.world.level.ChunkPos pos, Set<net.minecraft.core.BlockPos> posts)

### getPostsInChunk

@Nonnull public static Set<net.minecraft.core.BlockPos> getPostsInChunk(net.minecraft.world.level.ChunkPos pos)

### initializeAbstractWireBlockClient

public static void initializeAbstractWireBlockClient(AbstractWireBlock block, Consumer<net.minecraftforge.client.extensions.common.IClientBlockExtensions> consumer)